Subject: Centana
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 11 Mar 2002 12:09:57 -0800 (PST)

Just an update. I spoke with Mike Richards and later today he will send
me the rest of his comments so that we can be ready to finalize the deal
if Greg returns and is ready to pull the trigger. 

Mike inquired of their bank and apparently they can open an escrow
account with slightly lower fees. Mike thinks the difference is about
$1500. Given the lack of control over the process and the fact that we
have an escrow account already finalized, I told him that I didn't think
ENA was interested in their opening another account, but I wanted to
check with you Joe.

Last, I checked and there is no jeopardy from a bankruptcy perspective
of finding a new buyer for the gas in the event that Centana declines to
move forward.

Shemin